%define rev     svn170

Name:           foobillardplus
Version:        3.43
Release:        %mkrel -c %{rev} 7
Summary:        A free 3D OpenGL billiard game
Group:          Games/Arcade
License:        GPLv2
URL:            http://foobillardplus.sourceforge.net
# From http://svn.code.sf.net/p/foobillardplus/code/ after removing useless and nonfree content
# rm -rf .svn data/music/* data/DejaVuSans*.ttf debian osx src-graphics
Source0:        %{name}-%{version}-%{rev}.tar.xz
Source1:        %{name}.6
Source2:        intro-nomusic.png
Patch0:         foobillardplus-3.43-mga-install-dir-in-configure.in.patch
Patch1:         foobillardplus-3.43-mga-user-settings-in-XDG_DATA_HOME.patch

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_net)
Requires:       fonts-ttf-dejavu
Obsoletes:      foobillard < 3.0a-14
Provides:       foobillard

%description
FooBillard++ is an advanced 3D OpenGL billiard game based on the original
foobillard 3.0a sources from Florian Berger. You can play it with one or two
players or against the computer.

The music has been removed because of its restrictive CC BY-NC-ND license.

%prep
%setup -q -n %{name}-%{version}-%{rev}
%autopatch -p1
# Use system browser
sed -i -e 's/firefox/www-browser/g' data/browser.sh

%build
autoreconf -vfi
export CFLAGS="%{optflags} -fgnu89-inline"
%configure --enable-debian
%make_build

%install
# make install instructions are kind of broken
install -D -m755 src/foobillardplus %{buildroot}%{_gamesbindir}/%{name}
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a data/ %{buildroot}%{_gamesdatadir}/%{name}/

# Fixed intro image without the removed music credits
cp -f %{SOURCE2} %{buildroot}%{_gamesdatadir}/%{name}/data/intro.png

# icon and man page
install -D -m644 foobillardplus.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -D -m644 %{SOURCE1} %{buildroot}%{_mandir}/man6/%{name}.6

# symlink to DejaVu fonts
ln -s %{_xfontdir}/TTF/dejavu/DejaVuSans.ttf      %{buildroot}%{_gamesdatadir}/%{name}/data/DejaVuSans.ttf
ln -s %{_xfontdir}/TTF/dejavu/DejaVuSans-Bold.ttf %{buildroot}%{_gamesdatadir}/%{name}/data/DejaVuSans-Bold.ttf

# desktop entry
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=FooBillard++
GenericName=3D OpenGL billiard game
GenericName[de]=3D-OpenGL-Billard-Spiel
GenericName[fr]=Jeu de billard en 3D OpenGL
Comment=3D OpenGL billiard game
Comment[de]=3D-OpenGL-Billard-Spiel
Comment[fr]=Jeu de billard en 3D OpenGL
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;Simulation;
EOF

%files
%doc AUTHORS COPYING ChangeLog README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 3.43-0.svn170.7.mga9
+ Revision: 1839611
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 3.43-0.svn170.6.mga8
+ Revision: 1512323
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.43-0.svn170.5.mga7
+ Revision: 1297742
- Mageia 7 Mass Rebuild

* Sun Feb 14 2016 umeabot <umeabot> 3.43-0.svn170.4.mga6
+ Revision: 960097
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 daviddavid <daviddavid> 3.43-0.svn170.3.mga6
+ Revision: 899862
- fix compilation with gcc5: add -fgnu89-inline to CFLAGS

* Sun Oct 19 2014 akien <akien> 3.43-0.svn170.2.mga5
+ Revision: 791851
- Move user data to XDG_DATA_HOME/foobillardplus
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Sep 12 2014 akien <akien> 3.43-0.svn170.1.mga5
+ Revision: 674793
- imported package foobillardplus

